
  <url address="file:$NARVAL_HOME/data/chatbot.ail" 
       type:name="uri:memory:rules"/>

  <url address="file:$NARVAL_HOME/data/kb.pl" 
       type:name="uri:memory:kb"/>

  <url address="file:$NARVAL_HOME/data/rdfstore.rdf"
       type:name="uri:memory:redland"/>

  <url address="file:$NARVAL_HOME/data/foaf.rdf" 
       type:name="uri:memory:foaf"/>


  <!-- 
    start some plans to handle chat commands
    -->
  <al:start-plan recipe="active-commands.narval-shutdown"/>
  <al:start-plan recipe="active-commands.narval-start-plan"/>
  <al:start-plan recipe="active-commands.narval-reschedule-plan"/>
  <al:start-plan recipe="active-commands.narval-introspection"/>
  <al:start-plan recipe="active-commands.narval-log-ended-plans"/>
  <al:start-plan recipe="active-commands.narval-generate-docbook"/>
  <al:start-plan recipe="active-commands.narval-help"/>

  <al:start-plan recipe="active-commands.comm-tell-master"/>

  <al:start-plan recipe="active-commands.chat-filtered-response"/>
  <al:start-plan recipe="active-commands.chat-reload-ail-brain"/>
  <al:start-plan recipe="active-commands.chat-delayed-conf-setup"/>
  <al:start-plan recipe="active-commands.chat-subscribe"/>
  <al:start-plan recipe="active-commands.chat-conf-setup"/>
  <al:start-plan recipe="active-commands.chat-conf-kickout"/>
  <al:start-plan recipe="active-commands.chat-start-templated-discussion"/>
  <al:start-plan recipe="active-commands.chat-continue-templated-discussion"/>
  <al:start-plan recipe="active-commands.chat-when-user-will-be-back"/>

  <al:start-plan recipe="active-commands.kb-respond-to-presence"/>
  <al:start-plan recipe="active-commands.kb-state-you-are-a-narval"/>
  <al:start-plan recipe="active-commands.kb-register-user-type"/>
  <al:start-plan recipe="active-commands.kb-search"/>
  <al:start-plan recipe="active-commands.kb-rdql-query"/>
  <al:start-plan recipe="active-commands.kb-add-stmts"/>
  <al:start-plan recipe="active-commands.kb-add-rule"/>
  <al:start-plan recipe="active-commands.kb-rdf-export"/>
  <al:start-plan recipe="active-commands.kb-rdf-import"/>
  <al:start-plan recipe="active-commands.kb-rdf-extract"/>
  <al:start-plan recipe="active-commands.kb-foaf-export"/>
  <al:start-plan recipe="active-commands.kb-foaf-import"/>
  <al:start-plan recipe="active-commands.kb-foaf-extract"/>

  <al:start-plan recipe="active-commands.activity-notify"/>
  <al:start-plan recipe="active-commands.activity-wait"/>
  <al:start-plan recipe="active-commands.activity-report"/>
  <al:start-plan recipe="active-commands.activity-flush"/>

  <!-- 

  <al:start-plan recipe="active-commands.metalog-enable"/>
  <al:start-plan recipe="active-commands.metalog-disable"/>
  <al:start-plan recipe="active-commands.metalog-categorize"/>

  <al:start-plan recipe="active-commands.entertainment"/>

 -->
